Kenya Passport Verification
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"passport_number": "<string>"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/"
payload = { "passport_number": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({passport_number: '<string>'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Kenya
Passeport kényan
Vérifiez l’identité d’un client à l’aide de son numéro de passeport kényan.
POST
/
api
/
onboarding
/
kenya_kyc
/
passport
/
Kenya Passport Verification
L’endpoint Passeport kényan valide un numéro de passeport par rapport au registre national et renvoie les détails personnels associés incluant le nom, les dates et une photo.
Endpoint
POST /api/onboarding/kenya_kyc/passport/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
passport_number | string | Oui | Le numéro de passeport du client (par ex. A00000000) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"passport_number": "A00000000"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.First_Name | string | Prénom |
data.Surname | string | Nom de famille |
data.Other_Name | string | Autre/deuxième prénom |
data.Gender | string | Genre |
data.Date_of_Birth | string | Date de naissance |
data.Citizenship | string | Citoyenneté |
data.Date_of_Issue | string | Date de délivrance du passeport |
data.Place_of_Birth | string | Lieu de naissance |
data.Photo | string | Photo du passeport encodée en base64 |
{
"status": "success",
"data": {
"Pin": "",
"Clan": "",
"Photo": "<base64-encoded-jpeg>",
"Family": "",
"Gender": "M",
"Surname": "Leo",
"First_Name": "Joe",
"Other_Name": "Doe",
"Citizenship": "Kenyan",
"Date_of_Birth": "2000-09-20 12:00:00 AM",
"Date_of_Issue": "1/27/2000 12:00:00 AM",
"Place_of_Birth": "NAIROBI",
"Place_of_Live": "BOX 12345-00800 NAIROBI"
},
"message": "Passport details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}

